Subject: Re: [Mipshop] Question on uplink packetindraft-yokota-mipshop-pfmipv6-00

From: "Koodli, Rajeev" <[email-masked]>
Date: Thu, 2 Oct 2008 20:03:06 -0400

Hi Julien,

I realized that I forgot to respond to this.
FWIW, I am responding to some of the points below..

> > [RKo:>] While NUD is in progress, packets can still be sent because
> > the ND state for the neighbor is STALE. In the meanwhile, RS can
also
> > go out.
> 
> Right. But probably we should acknowledge in the spec that uplink
> packets sent by the MN before it received an RA or an NA will have the
> pMAG's link layer address as destination, thus will not necessarily
> reach the nMAG, unless it is configured to, as you mention below.

[RKo:>] We could, for the case where link-layer addresses are used.

> 
> > The new router may be configured to accept packets sent to a MAC
> > address it recognizes (as that of the previous router);
> 
> This implies that the link layer between the MAG and the MN allows the
> MAG to put its interface in promiscuous mode. Probably we should
> acknowledge that in the spec.
> 
> In case this is not possible, uplink packet reception will be disabled
> until the MN's receive the nMAG's RS or RA with its link layer
address.

[RKo:>] MN can also learn the nMAG's new link-layer address via a
solicited NA.

> 
> In addition to that, for this to be possible prior to exchange of the
> PBU/PBA, the nMAG needs to be provided with the MAG's link local
> address in the HI or the HAck, doesn't it?

[RKo:>] Or configured, as in PMIP.

> >
> > [RKo:>] The MN should be able to send uplink packets even without
> > getting an RA with HNP, even for the case where MAC addresses are
> > used.
> 
> Right, but as I hope I managed to explain above, on link layers with
> addresses, the MN being able to send uplink packets doesn't
necessarily
> means these packets can be received by the nMAG/router.
> 
> It seems possible to cover these cases adequatly with 1) promiscuous
> mode on the nMAG, and/or 2) transfer of the MAG link local address b/w
> pMAG and nMAG for use in NUD.
> 
> What do you think?
> 

[RKo:>] Yes, both should work, although the same link-local address
could be configured across MAGs as well. 

Regards,

-Rajeev

> Regards,
> --julien
_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop